# Makefile for rest agent project

PROJECT = OMC
VERSION = 5GC16.1.1
PLATFORM = amd64
DEBDIR = ../../../deb
ETCDIR = ../../../etc
RELEASEDIR = ../../../release
LIBDIR = ../lib
BINNAME = loadpmxls

.PHONY: build $(BINNAME)
build $(BINNAME):
	go build -o $(BINNAME) -v -ldflags "-X 'main.version=$(VERSION)' \
		-X 'main.buildTime=`date`' \
		-X 'main.goVer=`go version`'"

run: $(BINNAME)	
	./$(BINNAME)

clean:
	rm ./$(BINNAME)
